﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LiftController : MonoBehaviour {
	public Transform top;
	private Vector3 from, to;
	private float speed = 3f, start, length;
	private bool up;

	// Use this for initialization
	void Start () {
		from = transform.position;
		to = top.position;
		length = Vector3.Distance (from, to);
		start = Time.time;
		up = true;
	}
	
	// Update is called once per frame
	void Update () {
		float distanceDone = (Time.time - start) * speed;
		float fractionDone = distanceDone / length;
		if (up) {
			transform.position = Vector3.Lerp (from, to, fractionDone);
		} else {
			transform.position = Vector3.Lerp (to, from, fractionDone);
		}
		if (fractionDone > 1) {
			up = !up;
			start = Time.time;
		}

	}
}
