﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class OptionMenuScript : MonoBehaviour {
	public Slider volumeSlider;
	public Toggle hard;

	// Use this for initialization
	void Start () {
		switch(PlayerPrefs.GetInt("Difficulty")) {
		case 0:
			hard.isOn = false;
			break;
		case 1:
			hard.isOn = true;
			break;
		default:
			hard.isOn = false;
			break;
		}
		volumeSlider.value = PlayerPrefs.GetFloat ("Volume");
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public void Hard(bool value) {
		if (value) {
			PlayerPrefs.SetInt ("Difficulty", 1);
		} else {
			PlayerPrefs.SetInt ("Difficulty", 0);
		}
	}

	public void SetVolume() {
		AudioListener.volume = volumeSlider.value;
		PlayerPrefs.SetFloat ("Volume", volumeSlider.value);
	}

	public void Mute(bool value) {
		if (value) {
			volumeSlider.enabled = true;
			AudioListener.volume = volumeSlider.value;
			PlayerPrefs.SetFloat ("Volume", volumeSlider.value);
		} else {
			volumeSlider.enabled = false;
			AudioListener.volume = 0;
			PlayerPrefs.SetFloat ("Volume", 0);
		}
	}
}
